
<?php
    $apiKey = "dded0deb66ef4c3db59d46285d499403"; // API Key
    $url = "https://api.football-data.org/v4/matches";

    $options = [
        "http" => [
            "header" => "X-Auth-Token: $apiKey"
        ]
    ];

    $context = stream_context_create($options);
    $data = file_get_contents($url, false, $context);
    $json = json_decode($data, true);
?>
<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Koora Media - كووورة ميديا</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            margin: 0;
            padding: 0;
            background-color: #121212;
            color: #ffffff;
        }
        header {
            background-color: #1f1f1f;
            padding: 1.5rem;
            text-align: center;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.4);
        }
        header h1 {
            font-size: 2rem;
            margin: 0;
            color: #00ff6a;
        }
        nav {
            display: flex;
            justify-content: space-around;
            background-color: #1f1f1f;
            padding: 0.5rem 0;
            border-bottom: 1px solid #2c2c2c;
        }
        nav a {
            color: #ffffff;
            text-decoration: none;
            font-size: 1.1rem;
        }
        nav a:hover {
            color: #00ff6a;
        }
        main {
            padding: 1.5rem;
        }
        .section {
            margin-bottom: 2rem;
            background-color: #1f1f1f;
            padding: 1rem;
            border-radius: 10px;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.5);
        }
        .section h2 {
            font-size: 1.8rem;
            border-bottom: 3px solid #00ff6a;
            padding-bottom: 0.5rem;
            margin-bottom: 1rem;
        }
        .stats-table, .match-table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 1rem;
        }
        .stats-table th, .stats-table td, .match-table th, .match-table td {
            padding: 0.7rem;
            text-align: center;
            border-bottom: 1px solid #2c2c2c;
        }
        .stats-table th, .match-table th {
            background-color: #2c2c2c;
            font-size: 1rem;
        }
        .stats-table td, .match-table td {
            background-color: #1f1f1f;
            font-size: 0.95rem;
        }
        .team-name {
            font-weight: bold;
            color: #ffffff;
        }
        footer {
            background-color: #1f1f1f;
            color: #ffffff;
            text-align: center;
            padding: 1rem 0;
            margin-top: 2rem;
        }
    </style>
</head>
<body>
    <header>
        <h1>كووورة ميديا</h1>
        <p>متابعة شاملة لأخبار كرة القدم ونتائج المباريات</p>
    </header>
    <nav>
        <a href="#">الرئيسية</a>
        <a href="#">الأخبار</a>
        <a href="#">المباريات</a>
        <a href="#">الإحصائيات</a>
        <a href="#">اتصل بنا</a>
    </nav>
    <main>
        <section class="section">
            <h2>النتائج المباشرة</h2>
            <table class="match-table">
                <thead>
                    <tr>
                        <th>الفريق 1</th>
                        <th>النتيجة</th>
                        <th>الفريق 2</th>
                        <th>الوقت</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                        $matches = $json['matches'];
                        foreach ($matches as $match) {
                            echo "
                                <tr>
                                    <td class='team-name'>{$match['homeTeam']['name']}</td>
                                    <td>{$match['score']['fullTime']['homeTeam']} - {$match['score']['fullTime']['awayTeam']}</td>
                                    <td class='team-name'>{$match['awayTeam']['name']}</td>
                                    <td>{$match['utcDate']}</td>
                                </tr>
                            ";
                        }
                    ?>
                </tbody>
            </table>
        </section>
    </main>
    <footer>
        <p>&copy; 2025 كووورة ميديا. جميع الحقوق محفوظة.</p>
    </footer>
</body>
</html>
